#include <bits/stdc++.h>
#define ll long long
using namespace std;
const int NMAX=5e5+7;
int n;
ll a[NMAX];

int main()
{
    ios_base::sync_with_stdio(false);
    cin>>n;
    for(int i=1;i<=n;i++) cin>>a[i];
    int res=NMAX;
    for(ll i=0;i<=60;i++)
    {
        int kolko=n;
        for(int j=1;j<=n;j++) if(a[j]&(1LL<<i)) --kolko;
        res=min(res, kolko);
    }
    cout<<res;
    return 0;
}